Name: xmule
Version: 1.6.1
Release: alt1

Summary: A Linux port of eMule client using wxWindows class library
License: GPL
Group: Networking/File transfer
Url: http://www.xmule.org
Packager: Andrey Semenov <mitrofan@altlinux.ru>

Source: %name-%version.tar.bz2
Source1: %name.menu
Source3: %name-32x32.png
Source4: %name-48x48.png

Requires: wxGTK => 2.4.0
Obsoletes: lmule
Provides: lmule

# Automatically added by buildreq on Fri Mar 21 2003
BuildRequires: XFree86-devel XFree86-libs gcc-c++ glib-devel gtk+-devel libexpat-devel
BuildRequires: libjpeg libstdc++-devel libtiff wxGTK-devel zlib-devel

%description
This program is a Linux port of eMule client using wxWindows class library
Features
 Download/Upload works
 You can search and add ed2k-links
 Statistics
 Shared files tab works
 Messages tab is now implemented
 You can manage friends
 Systray support
 You can set nearly all preferences

%prep
%setup -q
#%patch1 -p0

%build
./configure  --prefix=/usr --enable-timedate --enable-gui \
             --enable-protocol --enable-http --enable-ftp --enable-resources \
	     --enable-prologio --disable-debug --enable-final --enable-timer \
	     --with-gtk --disable-profile \
	     --with-wx-config=/usr/bin/wx-config
%make

%install
%__make DESTDIR=%buildroot install
%__install -pD -m644 %SOURCE1 %buildroot%_menudir/%name
%__install -pD -m644 %SOURCE3 %buildroot%_iconsdir/%name.png
%__install -pD -m644 %SOURCE4 %buildroot%_liconsdir/%name.png

%find_lang %name

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%doc AUTHORS ChangeLog INSTALL README TODO ED2K-Links.HOWTO
%_bindir/*
%_menudir/%name
%_datadir/applications/%name.desktop
%_datadir/pixmaps/%name.xpm
%_iconsdir/%name.png
%_liconsdir/%name.png

%changelog
* Sat Oct 11 2003 Andrey Semenov <mitrofan@altlinux.ru> 1.6.1-alt1
- 1.6.1
- Removed all font specifications from the XML resources.
- Do not start a search after adding an ED2K-Link.
- Enable clipping in download list control.
- FIXED: Bug rehashing a part file.
- FIXED: Various minor problems found by malloc debuggers.

* Wed Aug 27 2003 Andrey Semenov <mitrofan@altlinux.ru> 1.6.0-alt1
- 1.6.0
- Categories implemented.
- Much better No Needed/High Queue Ranking sources handling
- Shared files loading made 30x faster, now supports thousands of files.

* Sun Aug 3 2003 Andrey Semenov <mitrofan@altlinux.ru> 1.5.6a-alt1
- 1.5.6a
- bugs fixed

* Fri Jul 11 2003 Andrey Semenov <mitrofan@altlinux.ru> 1.5.5-alt1
- 1.5.5

* Sun Jul 6 2003 Andrey Semenov <mitrofan@altlinux.ru> 1.5.4-alt1
- 1.5.4
- bugs fixed
- add icons

* Wed Jul 2 2003 Andrey Semenov <mitrofan@altlinux.ru> 1.5.3-alt1
- 1.5.3

* Mon Jun 23 2003 Andrey Semenov <mitrofan@altlinux.ru> 1.5.2-alt1
- 1.5.2

* Fri Jun 20 2003 Andrey Astafiev <andrei@altlinux.ru> 1.5.1-alt2
- Rebuilt with new wxGTK.
- Translations now added with %find_lang macros.

* Fri Jun 13 2003 Andrey Semenov <mitrofan@altlinux.ru> 1.5.1-alt1
- 1.5.1

* Sun Jun 8 2003 Andrey Semenov <mitrofan@altlinux.ru> 1.5.0-alt1
- 1.5.0

* Fri Jun 6 2003 Andrey Semenov <mitrofan@altlinux.ru> 1.4.0-alt2
- Patch shutdown crash
- Cleanup spec

* Mon May 28 2003 Andrey Semenov <mitrofan@altlinux.ru> 1.4.0-alt1
- 1.4.0
- lmule -> xmule

* Mon Apr 28 2003 Andrey Semenov <mitrofan@altlinux.ru> 1.2.1-alt1
- 1.2.1

* Mon Apr 21 2003 Andrey Semenov <mitrofan@altlinux.ru> 1.2.0-alt1
- 1.2.0

* Sun Mar 30 2003 Andrey Semenov <mitrofan@altlinux.ru> 1.1.13c-alt1
- 1.1.13c

* Tue Mar 25 2003 Andrey Semenov <mitrofan@altlinux.ru> 1.1.12-alt1
- Missing features in search page implemented

* Fri Mar 21 2003 Andrey Semenov <mitrofan@altlinux.ru> 1.1.11b-alt1
- First version of RPM package.
